.fw {
  display: block;
  width: 100%;
  height: auto;
}
.svg {
  display: block;
  width: 100%;
  height: 100%;
  fill: currentColor;
}

.fn-calc {
  font-family: Arial, Helvetica, sans-serif;
  padding: 80px 10px;
  width: 100%;
  margin: 0 auto;
  max-width: 1130px;
  color: #212121;
  font-size: 16px;
}
.fn-calc * {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
.fn-calc__title {
  text-align: center;
  padding-bottom: 56px;
  font-size: 36px;
  font-weight: bold;
}
.fn-calc__controls {
  display: -ms-grid;
  display: grid;
  gap: 15px;
  -ms-grid-columns: 1fr 15px 1fr 15px 1fr 15px 1fr 15px 1fr 15px 1fr 15px 1fr;
  grid-template-columns: repeat(7, 1fr);
}
.fn-calc__control {
  padding: 16px;
  border: 1px solid #d5d8de;
  border-radius: 8px;
  cursor: pointer;
}
.fn-calc__control.active .fn-calc__shape {
  border-color: #3396ff;
  color: #3396ff;
}
.fn-calc__shape {
  width: 18px;
  height: 18px;
  border-radius: 50%;
  padding: 2px;
  border: 2px solid #a1a4ac;
  margin: 19px auto 0;
  color: transparent;
}
.fn-calc__wrap {
  padding-top: 40px;
  display: -ms-grid;
  display: grid;
  gap: 70px;
  -ms-grid-columns: 1fr 70px 1fr;
  grid-template-columns: 1fr 1fr;
}
.fn-calc__select {
  width: 100%;
  height: 56px;
  border: 1px solid #a1a4ac;
  border-radius: 8px;
  padding: 16px;
  cursor: pointer;
}
.fn-calc__view {
  border: 1px solid #d5d8de;
  border-radius: 8px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  padding: 30px;
}
.fn-calc__canvas {
  width: 100%;
  max-width: 100%;
}
.fn-calc__helper {
  padding-top: 24px;
  font-weight: 400;
  font-size: 14px;
  line-height: 140%;
  color: #6c6d71;
}
.fn-calc__sizes {
  padding: 16px 0;
}
.fn-calc__main ul {
  padding-left: 1em;
  padding-bottom: 1em;
}
.fn-calc__size {
  display: none;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 16px;
  padding: 8px 0;
}
.fn-calc__size.visible {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.fn-calc__size.error .fn-calc__input {
  border-color: #e40e0e;
}
.fn-calc__size::before {
  content: attr(data-before);
  font-size: 16px;
  font-weight: bold;
}
.fn-calc__size::after {
  content: attr(data-after);
  font-size: 16px;
  font-weight: bold;
}
.fn-calc__input {
  height: 56px;
  text-align: right;
  padding: 17px 16px;
  border: 1px solid #a1a4ac;
  border-radius: 8px;
  font-weight: 700;
  font-size: 16px;
  line-height: 140%;
  color: inherit;
  width: 270px;
}
.fn-calc__action {
  background: #3396ff;
  color: #fff;
  border-radius: 8px;
  display: block;
  padding: 15px 25px;
  border: none;
  font-weight: 700;
  font-size: 18px;
  line-height: 140%;
  cursor: pointer;
  -webkit-transition: 0.4s ease;
  -o-transition: 0.4s ease;
  transition: 0.4s ease;
  width: 270px;
  margin-left: 25px;
}
@media (hover: hover) and (pointer: fine) {
  .fn-calc__action:hover {
    background-color: #2261a5;
  }
}
.fn-calc__result {
  padding-top: 80px;
}
.fn-table {
  width: 100%;
  border-radius: 8px;
  border-collapse: collapse;
}
.fn-table tr th {
  background: #f6f7f9;
  padding: 17px 16px;
  border: 1px solid #d5d8de;
  text-align: left;
}
.fn-table td {
  padding: 17px 16px;
  border: 1px solid #d5d8de;
  text-align: left;
}
.fn-calc__total {
  margin-top: 24px;
  border: 1px solid #d5d8de;
  border-radius: 8px;
  padding: 16px;
  text-align: center;
  background: #f6f7f9;
}
.fn-calc__view-wrap {
  width: 100%;
}
@media (max-width: 1200px) {
  .fn-calc {
    padding: 40px 10px;
  }
  .fn-calc__wrap {
    gap: 30px;
  }
}
@media (max-width: 992px) {
  .fn-calc__controls {
    -ms-grid-columns: (1fr) [5];
    grid-template-columns: repeat(5, 1fr);
  }
}
@media (max-width: 768px) {
  .fn-calc__view {
    padding: 20px;
  }
  .fn-calc__wrap {
    -ms-grid-columns: 1fr;
    grid-template-columns: 1fr;
  }
  .fn-calc__title {
    padding-bottom: 20px;
    font-size: 26px;
  }
  .fn-calc__control {
    padding: 10px;
  }
  .fn-calc__shape {
    margin-top: 8px;
  }
}
@media (max-width: 575px) {
  .fn-calc {
    font-size: 14px;
  }
  .fn-calc__controls {
    -ms-grid-columns: (1fr) [3];
    grid-template-columns: repeat(3, 1fr);
  }
  .fn-calc__table th {
    padding: 5px;
  }
  .fn-calc__table td {
    padding: 5px;
  }
  .fn-calc__input {
    width: auto;
  }
}
